Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.propertyrender
Class ColorRender

    java.lang.Object
      nextapp.echo2.webcontainer.propertyrender.ColorRender

    public class ColorRender

extends java.lang.Object

Utility class for rendering `nextapp.echo2.app.Color` properties to CSS.

Method Summary
`static java.lang.String` | `renderCssAttributeValue(Color color)` Renders a `Color` property value to a CSS color attribute value.
`static void` | `renderToStyle(CssStyle cssStyle, Color foreground, Color background)` Renders foreground and background `Color` properties to the given CSS style.
`static void` | `renderToStyle(CssStyle cssStyle, Component component)` Renders the foreground and background `Color` properties of the provided `Component` to a CSS style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### renderToStyle

    public static void renderToStyle(CssStyle cssStyle,
                                     Color foreground,
                                     Color background)

  Renders foreground and background `Color` properties to the given CSS style. Null property values are ignored.

  Parameters:
    `cssStyle` - the target `CssStyle`
    `foreground` - the foreground color
    `background` - the background color

### renderToStyle

    public static void renderToStyle(CssStyle cssStyle,
                                     Component component)

  Renders the foreground and background `Color` properties of the provided `Component` to a CSS style.

  Parameters:
    `cssStyle` - the target `CssStyle`
    `component` - the component

### renderCssAttributeValue

    public static final java.lang.String renderCssAttributeValue(Color color)

  Renders a `Color` property value to a CSS color attribute value.

  Parameters:
    `color` - the property value
  Returns:
    the CSS attribute value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD